org.apache.struts2.rest.handler

## Class JsonLibHandler

- java.lang.Object
- - org.apache.struts2.rest.handler.AbstractContentTypeHandler
  - - org.apache.struts2.rest.handler.JsonLibHandler

- All Implemented Interfaces:
    ContentTypeHandler

  Deprecated.
  Use `JacksonLibHandler` instead

      @Deprecated
      public class JsonLibHandler
      extends AbstractContentTypeHandler

  Handles JSON content using json-lib

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonLibHandler()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `fromObject(ActionInvocation invocation, Object obj, String resultCode, Writer stream)` Deprecated.
    `String` | `getContentType()` Deprecated. Gets the content type for this handler
    `String` | `getExtension()` Deprecated. Gets the extension this handler supports
    `void` | `setDefaultEncoding(String val)` Deprecated.
    `void` | `toObject(ActionInvocation invocation, Reader in, Object target)` Deprecated.

    - ### Methods inherited from class org.apache.struts2.rest.handler.AbstractContentTypeHandler

      `fromObject, toObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonLibHandler

          public JsonLibHandler()

      Deprecated.

  - ### Method Detail

    - #### toObject

          public void toObject(ActionInvocation invocation,
                      Reader in,
                      Object target)
                        throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### fromObject

          public String fromObject(ActionInvocation invocation,
                          Object obj,
                          String resultCode,
                          Writer stream)
                            throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### getContentType

          public String getContentType()

      Deprecated.
      Description copied from interface: `ContentTypeHandler`
      Gets the content type for this handler
      Returns:
        The mime type

    - #### getExtension

          public String getExtension()

      Deprecated.
      Description copied from interface: `ContentTypeHandler`
      Gets the extension this handler supports
      Returns:
        The extension

    - #### setDefaultEncoding

          public void setDefaultEncoding(String val)

      Deprecated.

Copyright © 2000–2021 Apache Software Foundation. All rights reserved.